Grant or revoke app access

POST https://{controlplane_path}/api/1/rest/public/assetapi/user/app_access      

Overview

This API grants or revokes app access.

Currently supported SnapLogic apps are:
  • IIP
  • AutoSync
  • Flows
  • Pattern Management
Note: This API manages only the SnapLogic apps or features that the Environment/Org is subscribed to.

Prerequisites

  • Environment (Org) admin permissions

Path parameters

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com

Query parameters

None.

Request header

Basic authentication

To use basic authentication, specify Basic for authorization in the request header, add your credentials (email and password for your SnapLogic user or service account), and specify application/json for content type. For example:


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of basic authentication using Postman:

Learn more about the basic authentication header in REST API requests.

JWT authentication

When using JWT authentication, the API request includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authentication using Postman:

Request body

   {
    "org_path" : "...",
    "users" : [
      {
        "username" : "...",
        "app_access" : {
          "..." : true,
          "..." : false,
          ...
        }
      },
      ...
    ]
  }
Key Type Description
org_path string Required. The path to the SnapLogic Environment/Org.

Format: /{env_org}

users array An array of objects comprised of:
  • the username
  • the app_access object with a list of app names with Boolean values
Valid app names:
  • intelligent_integration_platform
  • autosync
  • flows
  • pattern_management

To grant the user access to a specific app, set the value to true for that app.

To revoke the user's access to a single app, set the value to false for that app.

To revoke the user's access to all apps, set "app_access" : {}.

Response

 {
  "response_map": [
    {
      "..." : "success"
    },
    {
      "..." : "success"
    }
  ],
  "http_status_code": 200
}

Each key for each key-value pair in response_map is the username. If the value is success, the update was successfully completed for that user.